Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593862 - [RHEL5.5] Self-test using 'ethtool -t ethX' fails with "Cannot test: Operation not supported"
Summary: [RHEL5.5] Self-test using 'ethtool -t ethX' fails with "Cannot test: Operatio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 5.6
Assignee: Network QE
QA Contact: Liang Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-19 21:30 UTC by Gary Smith
Modified: 2011-01-13 21:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-13 21:33:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Description Gary Smith 2010-05-19 21:30:42 UTC
Description of problem:

On a system with Intel 82599 (Niantic) or 82580 (Barton Hills) based NICs, the command 'ethtool -t ethX' fails with 'Cannot test: Operation not supported'

Other Intel NIC drivers may also suffer this problem.


Version-Release number of selected component (if applicable):

driver: ixgbe
version: 2.0.44-k2
firmware-version: 0.9-4

driver: igb
version: 2.1.0-k2
firmware-version: 3.19-2


How reproducible:
# ethtool -t ethX
  
Actual results:
"Cannot test: Operation not supported"

Expected results:
Self test should run in offline or online mode as specified


Additional info:

Fix already identified by Andy Gospodarek:

ixgbe:
http://git.engineering.redhat.com/?p=users/agospoda/rhel5-gtest.git;a=commitdiff;h=14328ca15a2250fb65a6801f870f6217a66bbb80

igb:
http://git.engineering.redhat.com/?p=users/agospoda/rhel5-gtest.git;a=commitdiff;h=415c49a485c2204b959fa650ef5692073c55d5df

Comment 3 RHEL Product and Program Management 2010-06-18 12:49:48 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Andy Gospodarek 2010-08-09 12:50:44 UTC
My test kernels have been updated to include a patch for this bugzilla.

http://people.redhat.com/agospoda/#rhel5

Please test them and report back your results.

Comment 6 Andy Gospodarek 2010-08-10 14:39:42 UTC
It looks like my test kernels do not contain an upstream fix that fixed a panic in igb_test_intr.  The presumption is that the second argument is a net_device, but it is actually passed an object of type igb_adapter by all callers.  This was fixed upstream by commit:

commit 317f66bdadc31f0c037b91ae7857f5c3d2a4e3e5
Author: Alexander Duyck <alexander.h.duyck@intel.com>
Date:   Tue Oct 27 23:46:20 2009 +0000

    igb: misc cleanups within igb_ethtool.c

That commit is already queued for RHEL5.6 inclusion (bug 566024) from a patch by another developer, but I will add that fix to my test kernels and post new ones for you to test so we are sure it is working.

Comment 7 Pierre Amadio 2010-08-13 08:08:57 UTC
Doesthe new kernel-2.6.18-211.el5.gtest.88 contain this patch ?

Comment 8 Andy Gospodarek 2010-08-13 12:28:25 UTC
Pierre, gtest.88 contains backports of the two patches listed in the description.  It appears the igb patch in gtest.88 currently causes a panic when running the self-test, so I would not give that to a customer to test igb until I post an update to the bug that new test kernels are available.

Comment 9 Andy Gospodarek 2010-08-16 22:31:55 UTC
My test kernels have been updated to include a patch for this bugzilla.

http://people.redhat.com/agospoda/#rhel5

Please test them and report back your results.

Comment 10 Andy Gospodarek 2010-08-17 22:01:31 UTC
I tested on ixgbe and igb and it looks like self-test now works.  Please let me know if the test kernels in comment #9 do not.


# ethtool -t eth0
The test result is PASS
The test extra info:
Register test  (offline)	 0
Eeprom test    (offline)	 0
Interrupt test (offline)	 0
Loopback test  (offline)	 0
Link test   (on/offline)	 0

# uname -a
Linux hp-dl180g6-01.rhts.eng.bos.redhat.com 2.6.18-212.el5.gtest.89 #1 SMP Mon Aug 16 14:01:15 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux

Comment 20 Issue Tracker 2010-09-06 07:44:12 UTC
Event posted on 2010-09-06 09:44 CEST by pamadio

is there any step you need me or the customer to take for this ticket ?

Is  2.6.18-216.el5 supposed to fix his problem or are more change planned
before test can be done ?


Internal Status set to 'Waiting on Engineering'

This event sent from IssueTracker by pamadio 
 issue 855523

Comment 21 Jarod Wilson 2010-09-10 21:39:53 UTC
in kernel-2.6.18-219.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.

Comment 23 Andy Gospodarek 2010-09-11 01:00:55 UTC
(In reply to comment #20)
> Event posted on 2010-09-06 09:44 CEST by pamadio
> 
> is there any step you need me or the customer to take for this ticket ?
> 
> Is  2.6.18-216.el5 supposed to fix his problem or are more change planned
> before test can be done ?
> 

For us to debug this any further we will probably have to determine exactly which test failed and then go from there.  This will probably mean instrumenting e1000_diag_test in drivers/net/e1000e/ethtoolc.c and then debugging that test.

It sounds like this is a rather specialized chassis, so it might take some extra tweaking to make it work correctly over what Intel normally has working with its add-on cards or LOMs.

Comment 26 Liang Zheng 2010-11-09 05:19:20 UTC
Test in in kernel-2.6.18-230.el5 

[root@hp-dl165g7-01 ~]# uname -a
Linux hp-dl165g7-01.rhts.eng.bos.redhat.com 2.6.18-230.el5 #1 SMP Thu Oct 28 17:09:10 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux
[root@hp-dl165g7-01 ~]# ethtool -i eth0
driver: igb
version: 2.1.0-k2-1
firmware-version: 1.8-2
bus-info: 0000:04:00.0
[root@hp-dl165g7-01 ~]# ethtool -t eth0
The test result is PASS
The test extra info:
Register test  (offline)	 0
Eeprom test    (offline)	 0
Interrupt test (offline)	 0
Loopback test  (offline)	 0
Link test   (on/offline)	 0

[root@hp-dl165g7-01 ~]# ethtool -i eth1
driver: igb
version: 2.1.0-k2-1
firmware-version: 1.8-2
bus-info: 0000:04:00.1
[root@hp-dl165g7-01 ~]# ethtool -t eth1
The test result is PASS
The test extra info:
Register test  (offline)	 0
Eeprom test    (offline)	 0
Interrupt test (offline)	 0
Loopback test  (offline)	 0
Link test   (on/offline)	 0

[root@ibm-hs22-02 ~]# uname -a
Linux ibm-hs22-02.lab.bos.redhat.com 2.6.18-230.el5 #1 SMP Thu Oct 28 17:09:10 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux
[root@ibm-hs22-02 ~]# ethtool -i eth3
driver: ixgbe
version: 2.0.84-k2
firmware-version: 1.0-3
bus-info: 0000:15:00.1
[root@ibm-hs22-02 ~]# ethtool -t eth3
The test result is PASS
The test extra info:
Register test  (offline)	 0
Eeprom test    (offline)	 0
Interrupt test (offline)	 0
Loopback test  (offline)	 0
Link test   (on/offline)	 0

Comment 28 errata-xmlrpc 2011-01-13 21:33:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.